# Uses of Class
javassist.tools.web.BadHttpRequest

Packages that use BadHttpRequest
Package
Description
javassist.tools.rmi
Sample implementation of remote method invocation.
javassist.tools.web
Simple web server for running sample code.

## Uses of BadHttpRequest in javassist.tools.rmi

Methods in javassist.tools.rmi that throw BadHttpRequest
Modifier and Type
Method
Description
`void`
AppletServer.`doReply(InputStream in, OutputStream out, String cmd)`
Processes a request from a web browser (an ObjectImporter).

## Uses of BadHttpRequest in javassist.tools.web

Methods in javassist.tools.web that throw BadHttpRequest
Modifier and Type
Method
Description
`void`
Webserver.`doReply(InputStream in, OutputStream out, String cmd)`
Proceses a HTTP request from a client.